Loading...
Searching...
No Matches
pcl::_PointWithScale Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithScale:

## Public Attributes

union { |
float scale |
| Diameter of the meaningful keypoint neighborhood. More...
float size |
}; |  |
float | angle
| Computed orientation of the keypoint (-1 if not applicable).
float | response
| The response by which the most strong keypoints have been selected.
int | octave
| octave (pyramid layer) from which the keypoint has been extracted.

## Detailed Description

Definition at line 1633 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::_PointWithScale

## angle

float pcl::_PointWithScale::angle

Computed orientation of the keypoint (-1 if not applicable).

Definition at line 1645 of file point_types.hpp.

## octave

int pcl::_PointWithScale::octave

octave (pyramid layer) from which the keypoint has been extracted.

Definition at line 1649 of file point_types.hpp.

## response

float pcl::_PointWithScale::response

The response by which the most strong keypoints have been selected.

Definition at line 1647 of file point_types.hpp.

## scale

float pcl::_PointWithScale::scale

Diameter of the meaningful keypoint neighborhood.

Definition at line 1640 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::add(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::get(), pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::operator()(), and pcl::common::IntensityFieldAccessor< pcl::PointWithScale >::set().

## size

float pcl::_PointWithScale::size

Definition at line 1641 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp